Subject: Re: [dhcwg] [v6ops] DHCPv6 subscriber learning default gateway

From: "Bernie Volz (volz)" <[email-masked]>
Date: Fri, 10 Mar 2017 19:48:02 +0000

>    You are not the only person who thinks this is a gap in DHCPv6.

As a DHC WG co-chair, if v6ops and 6man believe this IS something that should be addressed in the DHCPv6 protocol, we can certain discuss with our AD to take it on. In the past, it seemed the view from these WGs (perhaps mostly 6man) was to leave it for RA to convey the default gateway.

- Bernie

On 3/10/17, 2:31 PM, "Brian E Carpenter" <[email-masked]> wrote:

    On 10/03/2017 20:43, Naveen Kottapalli wrote:
    > +v6ops, 6man
    > 
    > Yours,
    > Naveen.
    > 
    > On 10 March 2017 at 12:41, Naveen Kottapalli <[email-masked]> wrote:
    > 
    >> Okay.  Can you tell which parameters of RA will convey the default gateway
    >> address?  
    
    You need to read RFC4861 to understand the relevant details of RA.
    
    >> Also, can you point me to the document where it is mentioned that
    >> a DHCPv6 subscriber has to use RS-RA for resolving gateway address?
    
    Section 7.2.2 of RFC6434 explains this (but the wording could be clearer, perhaps).
    The basic point is that RFC4861 is effectively mandatory and DHCPv6 is optional.
    
    You are not the only person who thinks this is a gap in DHCPv6.
    
       Brian
    
    _______________________________________________
    v6ops mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/v6ops

---

From: [email-masked]
Date: Fri, 10 Mar 2017 22:11:27 +0100

> As a DHC WG co-chair, if v6ops and 6man believe this IS something that should be addressed in the DHCPv6 protocol, we can certain discuss with our AD to take it on. In the past, it seemed the view…

if the only tool you have is a hammer...
stop beating a dead horse. it hurts.

Ole